Bug 209897 - libpqxx: binary arguments to prepared statements are truncated at the first zero byte
Summary: libpqxx: binary arguments to prepared statements are truncated at the first z...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libpqxx   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: http://thaiopensource.org/development...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-07 17:14 UTC by Tomasz Ostrowski
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-21 07:43:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomasz Ostrowski 2006-10-07 17:14:17 UTC
libpqxx 2.6.7 has a nasty bug:
Binary arguments to prepared statements are truncated at the first zero byte
This can cause data corruption.

On 2006-09-06 a new version was released, 2.6.8, with this bug fixed. Please
release an update for Fedora Extras.

Version-Release number of selected component (if applicable):
libpqxx-2.6.7-1.fc5

Comment 1 Andreas Bierfert 2006-10-21 07:43:33 UTC
Pushed.


Note You need to log in before you can comment on or make changes to this bug.